Package: org.codehaus.groovy.transform

## [Java] Interface LogASTTransformation.LoggingStrategyV2

- LoggingStrategy

- All Superinterfaces:
    LoggingStrategy

      public interface LogASTTransformation.LoggingStrategyV2
      extends LoggingStrategy

  A LoggingStrategy defines how to wire a new logger instance into an existing class. It is meant to be used with the

  Log:
    family of annotations to allow you to write your own Log annotation provider.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public FieldNode` | `addLoggerFieldToClass(ClassNode classNode, String fieldName, String categoryName, int fieldModifiers)` In this method, you are given a ClassNode, a field name and a category name, and you must add a new Field onto the class.

- - ### Method Detail

    - #### public FieldNode addLoggerFieldToClass(ClassNode classNode, String fieldName, String categoryName, int fieldModifiers)

      In this method, you are given a ClassNode, a field name and a category name, and you must add a new Field onto the class. Return the result of the ClassNode.addField operations.

      Parameters:
        `classNode` - the class that was originally annotated with the Log transformation.
        `fieldName` - the name of the logger field
        `categoryName` - the name of the logging category
        `fieldModifiers` - the modifiers (private, final, et. al.) of the logger field
      Returns:
        the FieldNode instance that was created and added to the class